hpp-corbaserver: Obstacle Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Obstacle Class Reference

`#include <hpp/corbaserver/obstacle-idl.hh>`

Inheritance diagram for Obstacle:
[legend]
Collaboration diagram for Obstacle:
[legend]

## Public Types
typedef Obstacle_ptr | _ptr_type
typedef Obstacle_var | _var_type

## Public Member Functions
virtual | ~Obstacle ()
inline ::hpp::corbaserver::Obstacle_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef Obstacle_ptr Obstacle::_ptr_type

## ◆ _var_type

typedef Obstacle_var Obstacle::_var_type

## Constructor & Destructor Documentation

## ◆ ~Obstacle()

virtual Obstacle::~Obstacle | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type Obstacle::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type Obstacle::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE corbaserver _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END void Obstacle::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type Obstacle::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type Obstacle::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::corbaserver::Obstacle_ptr Obstacle::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type Obstacle::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type Obstacle::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Obstacle::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/obstacle-idl.hh